[package]
name = "service"
version.workspace = true
edition.workspace = true
authors.workspace = true
description.workspace = true
repository.workspace = true
readme.workspace = true
homepage.workspace = true
license.workspace = true
keywords.workspace = true
categories.workspace = true
documentation.workspace = true
[lib]
path = "lib.rs"
name = "service"
[dependencies]
config = { workspace = true }
agent = { workspace = true }
fctool = { workspace = true }
db = { workspace = true }
models = { workspace = true }
email = { workspace = true }
avatar = { workspace = true }
git = { workspace = true }
observability = { workspace = true }
git2 = { workspace = true }
queue = { workspace = true }
room = { workspace = true }
anyhow = { workspace = true }

serde = { workspace = true, features = ["derive"] }
serde_json = { workspace = true, features = [] }
slog = { workspace = true, features = ["anyhow"] }
captcha-rs = { workspace = true }
utoipa = { workspace = true, features = ["uuid", "chrono"] }
chrono = { workspace = true, features = ["serde"] }
session = { workspace = true }
argon2 = { workspace = true }
uuid = { workspace = true, features = ["serde", "v7"] }
sea-orm = { workspace = true, features = [] }
reqwest = { workspace = true, features = ["json", "native-tls"] }
base64 = { workspace = true }
rsa = { workspace = true }
rand = { workspace = true }
hex = { workspace = true }
base64ct = { workspace = true }
p256 = { workspace = true }
jwt-simple = { version = "0.12.6", features = ["pure-rust"], default-features = false }
http = { workspace = true }
sha2 = { workspace = true }
hmac = { workspace = true }
sha1 = { workspace = true }
redis = { workspace = true }
tokio = { workspace = true, features = ["rt", "rt-multi-thread"] }
tracing = { workspace = true }
tokio-stream = { workspace = true }
futures = { workspace = true }
deadpool-redis = { workspace = true, features = ["rt_tokio_1", "cluster-async", "cluster"] }
moka = { workspace = true, features = ["future"] }
rust_decimal = { workspace = true }
calamine = { workspace = true }
csv = { workspace = true }
quick-xml = { workspace = true }
mime_guess2 = { workspace = true }
lopdf = { workspace = true }
pulldown-cmark = { workspace = true }
sqlparser = { workspace = true }
walkdir = { workspace = true }
zip = { workspace = true }
regex = { workspace = true }
flate2 = { workspace = true }
tempfile = { workspace = true }
web-push-native = { version = "0.4.0", features = ["vapid"] }

[lints]
workspace = true
